MEMCACHED_EXIST(3)

NAME
memcached_exist - libmemcached Documentation

SYNOPSIS

#include <libmemcached/memcached.h>
    Compile and link with -lmemcached

memcached_return_t <#_CPPv418memcached_return_t> memcached_exist(memcached_st <#_CPPv412memcached_st> *ptr, char *key, size_t *key_length)

memcached_return_t <#_CPPv418memcached_return_t> memcached_exist_by_key(memcached_st <#_CPPv412memcached_st> *ptr, char *group_key, size_t *group_key_length, char *key, size_t *key_length)

Parameters

•   ptr -- pointer to an initialized memcached_st <#_CPPv412memcached_st> struct

•   group_key -- the key namespace

•   group_key_length -- length of the group_key without any terminating zero

•   key -- the key to check

•   key_length -- length of the key without any terminating zero

Returns
    memcached_return_t <#_CPPv418memcached_return_t> indicating success

    Added in version 0.53.

DESCRIPTION

memcached_exist() can be used to check if a key exists.

RETURN VALUE

MEMCACHED_SUCCESS <#_CPPv4N18memcached_return_t17MEMCACHED_SUCCESSE>
    The key exists.

MEMCACHED_NOTFOUND <#_CPPv4N18memcached_return_t18MEMCACHED_NOTFOUNDE>
    The key was not found.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached> memcached_strerror(3) <https://linux.die.net/man/3/memcached_strerror>